# Uses of Class
java.util.zip.DataFormatException

Packages that use DataFormatException
Package
Description
java.util.zip
Provides classes for reading and writing the standard ZIP and GZIP file formats.

## Uses of DataFormatException in java.util.zip

Methods in java.util.zip that throw DataFormatException
Modifier and Type
Method
Description
`int`
Inflater.`inflate​(byte[] output)`
Uncompresses bytes into specified buffer.
`int`
Inflater.`inflate​(byte[] output, int off, int len)`
Uncompresses bytes into specified buffer.
`int`
Inflater.`inflate​(ByteBuffer output)`
Uncompresses bytes into specified buffer.